## org.gnu.gdk
Class Visual

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gdk.Visual

public class Visual
extends GObject

Describes a particular video hardware display format. It includes information about the number of bits used for each color, the way the bits are translated into an RGB value for display, and the way the bits are stored in memory.

Method Summary
`static int` `getBestDepth()` Get the best available depth for the default GDK display.
`static VisualType` `getBestVisualType()` Return the best available visual type (the one with the most colors) for the default GDK display.
`int` `getBitsPerRGB()`
`int` `getBlueMask()`
`int` `getBluePrec()`
`int` `getBlueShift()`
`ByteOrder` `getByteOrder()`
`int` `getColormapSize()`
`int` `getDepth()`
`int` `getGreenMask()`
`int` `getGreenPrec()`
`int` `getGreenShift()`
`int` `getRedMask()`
`int` `getRedPrec()`
`int` `getRedShift()`
`Screen` `getScreen()`
`static Visual` `getSystemVisual()` Get the default or system visual for the default GDK display.
`static Visual` `getVisual()` Get the visual with the most available colors for the default GDK display.
`static Visual` `getVisual(int depth)` Get the best visual with depth depth for the default GDK display.
`static Visual` `getVisual(int depth, VisualType vt)` Combines getVisual(int depth) and getVisual(VisualType vt).
`static Visual` `getVisual(VisualType vt)` Get the best visual of the given visual_type for the default GDK display.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBestDepth

    public static int getBestDepth()

  Get the best available depth for the default GDK display. "Best" means "largest," i.e. 32 preferred over 24 preferred over 8 bits per pixel.

### getBestVisualType

    public static VisualType getBestVisualType()

  Return the best available visual type (the one with the most colors) for the default GDK display.

### getSystemVisual

    public static Visual getSystemVisual()

  Get the default or system visual for the default GDK display. This is the visual for the root window of the display.

### getVisual

    public static Visual getVisual()

  Get the visual with the most available colors for the default GDK display.

### getVisual

    public static Visual getVisual(int depth)

  Get the best visual with depth depth for the default GDK display. Color visuals and visuals with mutable colormaps are preferred over grayscale or fixed-colormap visuals. NULL may be returned if no visual supports depth.

### getVisual

    public static Visual getVisual(VisualType vt)

  Get the best visual of the given visual_type for the default GDK display. Visuals with higher color depths are considered better. NULL may be returned if no visual has type visual_type.

### getVisual

    public static Visual getVisual(int depth,
                                   VisualType vt)

  Combines getVisual(int depth) and getVisual(VisualType vt).

### getDepth

    public int getDepth()

### getByteOrder

    public ByteOrder getByteOrder()

### getColormapSize

    public int getColormapSize()

### getBitsPerRGB

    public int getBitsPerRGB()

### getRedMask

    public int getRedMask()

### getRedShift

    public int getRedShift()

### getRedPrec

    public int getRedPrec()

### getGreenMask

    public int getGreenMask()

### getGreenShift

    public int getGreenShift()

### getGreenPrec

    public int getGreenPrec()

### getBlueMask

    public int getBlueMask()

### getBlueShift

    public int getBlueShift()

### getBluePrec

    public int getBluePrec()

### getScreen

    public Screen getScreen()